// grab the OpenGL header files - easiest way is to just get GLUT.
#ifdef __APPLE__
#include <GLUT/glut.h> // Apple's version of GLUT is here
#else
#include <GL/glut.h> // but the standard place for it is here
#endif

#include "marshmallow_man.h"
#include "drawing_primitives.h"

void draw_marshmallow_man(void)
{
   glMatrixMode(GL_MODELVIEW);
   // Here you should put your commands for model-view transforms, pushing
   // and popping the matrix stack (remember there's probably a maximum depth
   // of about 32), and calling functions from drawing_primitives.h
   // You shouldn't use any other OpenGL functions.
   // @@@@@@@@@
   glScalef(0.4, 0.4, 0.4);
   draw_sphere(1, 0, 0);
   glTranslatef(2.5, 0, 0);
   draw_cube(0, 1, 0);
   glTranslatef(2.5, 0, 0);
   draw_cone(0.3, 0.4, 1);
}

